Package io.axoniq.dataprotection.serialization

## Class UnknownSerializedTypeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - io.axoniq.dataprotection.serialization.UnknownSerializedTypeException

- All Implemented Interfaces:
    `Serializable`

      public class UnknownSerializedTypeException
      extends RuntimeException

  Exception indicating that an object could not be deserialized, because its serialized type cannot be mapped to a class.
  Since:
    2.0
  Author:
    Allard Buijze
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UnknownSerializedTypeException​(SerializedType serializedType)` | Initialize the constructor with a default message, containing details of the given `serializedType`
    `UnknownSerializedTypeException​(SerializedType serializedType, Throwable cause)` | Initialize the constructor with a default message, containing details of the given `serializedType`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnknownSerializedTypeException

          public UnknownSerializedTypeException​(SerializedType serializedType)

      Initialize the constructor with a default message, containing details of the given `serializedType`
      Parameters:
        `serializedType` - The serialized type of the object being deserialized

    - #### UnknownSerializedTypeException

          public UnknownSerializedTypeException​(SerializedType serializedType,
                                                Throwable cause)

      Initialize the constructor with a default message, containing details of the given `serializedType`
      Parameters:
        `serializedType` - The serialized type of the object being deserialized
        `cause` - The cause of this exception